class Management::StatisticsController < ManagementController
  include RepositoriesProxy

  def index
    @n_collections = collection_repository.get_number_of_collections
    @n_views = main_page_repository.get_number_of("Views")
    @n_users = subject_repository.get_number_of("User")
    @n_learning_objects = learning_object_repository.get_number_of("learningObject")
    @n_non_visualised = learning_object_repository.get_number_of_non_visualised
  end

  def users
    #missing roles
    @n_users = subject_repository.get_number_of("User")
  end

  def downloads
    #Decidir se mantém
  end

  def accesses
    #usar o logstash e kibana
  end

  def collections
    @n_collections = collection_repository.get_number_of_collections
  end

  def learning_objects
    @n_learning_objects = learning_object_repository.get_number_of("learningObject")
    @n_non_visualised = learning_object_repository.get_number_of_non_visualised
    @most_visualised = learning_object_repository.get_most_visualised
  end

  def views
    @n_views = main_page_repository.get_number_of("Views")
  end

end
