class Ranking::Strategy

  def initialize(positionWeight = 1000, useWeight = 3, likeWeight = 100)
    @positionWeight = positionWeight
    @useWeight = useWeight
    @likeWeight = likeWeight
  end

  protected

  def build_rated_item(item, rate)
    Ranking::RatedItem.new(item, rate)
  end

end