$ ->
  $(document).on 'click', '*[data-institution]', ->
    e = $(this)
    e.popover({content: "Carregando..."}).popover('show')
    all = undefined
    objects = undefined
    institution_id = $(this).data('institution')
    url = '/institutions/' + institution_id + '/users.json'
    $.get '/users/list.json', (d) ->
      all = d
      $.get url, (d) ->
        object = d

        # generate a lookup table for object's collections id
        lookup = {}
        i = 0
        len = object.length
        while i < len
          lookup[object[i].id] = object[i]
          i++

        # mark checked objects
        i = 0
        len = all.length
        html = ''
        while i < len
          name = 'user_' + all[i].rid.split(':').slice(-1)[0]
          html += '<input type="checkbox" class="institutional-user-element" data-uid="' + all[i].id + '" data-institution-id="' + institution_id + '" id="' + name + '"'
          if lookup[all[i].id] != undefined
            html += " checked"
          html += '>'
          html += '<label for="' + name + '">' + all[i].name + '</label><br/>'
          ++i

        $('.popover-content').html(html)
      return
    return
  return

$ ->
  $(document).on 'click', 'input[class=institutional-user-element]', ->
    url = '/management/institutions/' + encodeURIComponent($(this).data('institution-id')) + '/user/' + encodeURIComponent($(this).data('uid'))
    if this.checked
      $.ajax {method: "POST", url: url }, (d) ->
        d
    else
      $.ajax {method: "DELETE", url: url }, (d) ->
        d
  return
