module OrientDb
  module LearningObject
    class SubjectsRelations < Relation

      def can_create?
        !@learning_object.subjects.empty?
      end

      protected

      def execute
        create_edges_from_array("IsAbout", @learning_object.id, @learning_object.subjects, true)
      end

    end
  end
end