module OrientDb
  module Subject
    class RelationsChain < OrientDb::RelationChain

      def relations
        [
            OrientDb::Subject::SubtopicsRelations.new(object, connection),
            OrientDb::Subject::SupertopicsRelations.new(object, connection)
        ]
      end

    end
  end
end