#!/bin/bash
source /home/.rvm/scripts/rvm

export PUMA_APP_DIR=/portalmec

source $PUMA_APP_DIR/config/env_vars.sh 2>/dev/null

option="${1}"

case ${option} in
   start)
      source start_puma.sh
      ;;
   stop)
      source stop_puma.sh
      ;;
   *)
      echo "`basename ${0}`:usage: [start] | [stop]"
      exit 1 # Command to come out of the program with status 1
      ;;
esac
